#! /usr/bin/env ruby
require "numru/dcl"
include NumRu

file_name = ARGV.shift
target_day = ARGV.shift.to_i
numx = ARGV.shift.to_i
numy = ARGV.shift.to_i

puts "file_name : #{file_name}"

file1 = File.open(file_name, "r")
data2d = NArray.float(numx, numy)

DCL::swpset('ldump', true)
DCL::gropn(4)
#DCL::gropn(1)
lines = file1.readlines
target_lineNo = target_day * (numx + 1) + 1
#for m in 0..lines.length-1

for m in 0..numx-1
	line = lines[target_lineNo+m]
	dat = line.split(" ")

	data_n = NArray.to_na(dat)

	k=0
	data_n.each{ |val|
		data2d[m, k] = val.to_f
		k=k+1
	}
end

	p data2d
	
	DCL::grfrm

	DCL::grswnd(0, numx-1, 0 ,numy-1 )
        DCL::grsvpt(0.1, 0.9, 0.1, 0.9)
	DCL::grstrn(1)
	DCL::grstrf

        DCL::uelset("ltone", true)
	DCL::uetone(data2d)

	DCL::usdaxs
	DCL::udcntr(data2d)
#end

file1.close

DCL::grcls

