#! /usr/bin/env ruby
require "numru/dcl"
include NumRu

file_name1 = ARGV.shift
file_name2 = ARGV.shift
target_day = ARGV.shift.to_i
numx = ARGV.shift.to_i
numy = ARGV.shift.to_i

puts "file_name1 : #{file_name1}"
puts "file_name2 : #{file_name2}"

file1 = File.open(file_name1, "r")
file2 = File.open(file_name2, "r")
data2d_sf = NArray.float(numx, numy)
data2d_t = NArray.float(numx, numy)

DCL::swpset('ldump', true)
DCL::gropn(4)
#DCL::gropn(1)
lines1 = file1.readlines
lines2 = file2.readlines
target_lineNo = target_day * (numx + 1) + 1
#for m in 0..lines.length-1

for m in 0..numx-1
	line = lines1[target_lineNo+m]
	dat1 = line.split(" ")
	data_n1 = NArray.to_na(dat1)

	line = lines2[target_lineNo+m]
	dat2 = line.split(" ")
	data_n2 = NArray.to_na(dat2)
	
	k1=0
	data_n1.each{ |val|
		data2d_sf[m, k1] = val.to_f
		k1=k1+1
	}

	k2=0
	data_n2.each{ |val|
		data2d_t[m, k2] = val.to_f
		k2=k2+1
	}
end

	p data2d_sf
	p data2d_t
	
	DCL::grfrm

	DCL::grswnd(0, numx-1, 0 ,numy-1 )
        DCL::grsvpt(0.1, 0.9, 0.1, 0.9)
	DCL::grstrn(1)
	DCL::grstrf

        DCL::uelset("ltone", true)
	DCL::uetone(data2d_t)

	DCL::usdaxs
	DCL::udcntr(data2d_sf)
#end

file1.close
file2.close

DCL::grcls

