#! /usr/bin/env ruby
require "numru/dcl"
include NumRu

#############
#
SF4_MAX=-0.6e07
SF4_MIN=-9.0e07
#################

file_name1 = ARGV.shift
file_name2 = ARGV.shift
target_day = ARGV.shift.to_i
numx = ARGV.shift.to_i
numy = ARGV.shift.to_i

puts "file_name1 : #{file_name1}"
puts "file_name2 : #{file_name2}"

file1 = File.open(file_name1, "r")
file2 = File.open(file_name2, "r")
data2d_sf = NArray.float(numx, numy)
data2d_t = NArray.float(numx, numy)

#DCL::swpset('ldump', true)
DCL::gropn(4)
#DCL::gropn(1)
lines1 = file1.readlines
lines2 = file2.readlines

for now_day in target_day..170  

target_lineNo = now_day * (numx + 1)  + 1

for m in 0..numx-1
	line = lines1[target_lineNo+m]
	dat1 = line.split(" ")
	data_n1 = NArray.to_na(dat1)

	line = lines2[target_lineNo+m]
	dat2 = line.split(" ")
	data_n2 = NArray.to_na(dat2)
	
	k1=0
	data_n1.each{ |val|
		data2d_sf[m, k1] = val.to_f
		k1=k1+1
	}

	k2=0
	data_n2.each{ |val|
		data2d_t[m, k2] = val.to_f
		k2=k2+1
	}
end

#グラフ描画
	#p data2d_sf
	#p data2d_t
	
	DCL::grfrm

	DCL::grswnd(0, numx-1, 0 ,numy-1 )
        DCL::grsvpt(0.2, 0.8, 0.2, 0.8)
	DCL::grstrn(1)
	DCL::grstrf
        
        DCL::uelset("ltone", true)
	DCL::uegtla(SF4_MIN, SF4_MAX,6.4e06)
	DCL::uetone(data2d_t)
	
        DCL::usdaxs
	DCL::udgcla(-35.0,35.0,5.0)
	DCL::udcntr(data2d_sf)
        

	day_s = (129 + now_day - target_day).to_s + "days"

        DCL::uxsttl('B', 'i', 0.0)
        DCL::uysttl('L', 'j', 0.0)
	DCL::uxmttl('T', day_s, 0.0)

        
end

file1.close
file2.close

#DCL::grcls

